Subject: Missing GNU construct for compiling libtcl80?
From: [email-masked]

28 Mar 1998 20:25:39 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=cp437
Content-Transfer-Encoding: 8bit
To: [email-masked]

I have been working at debugging a gnu makefile for tcl8, and I
got an error for the following code in tclWin32Dll.c:

===============================================================
    try {
	alloca(TCL_WIN_STACK_THRESHOLD);
	return 1;
    } except (1) {}
===============================================================

It looks as though the next frontier in GNU gcc compilers is the
Microshaft `try - except' construct.

Makefile.gnu for tcl8:
===============================================================

VERSION = 81
CFLAGS = -O2 -fno-strength-reduce -DWin32_Winsock -I../generic
TCLLIB = libtcl$(VERSION).a
TCLPLUGINLIB = libtcl$(VERSION)p.a
TCLSH	= tclsh$(VERSION)
TCLSHP = tclshp$(VERSION)
CAT32	= cat32

all: $(TCLLIB) $(TCLPLUGINLIB) $(CAT32) $(TCLSH) $(TCLTEST)

$(TCLSH):
	gcc -c $(CFLAGS) $(TCLSHSRCS)
	windres -i tclsh.rc -o tclshres.o
	gcc -o $(TCLSH) *.o -L./ $(TCLLIB)
	-rm *.o

$(TCLSHP):
	gcc -c $(CFLAGS) $(TCLSHSRCS)
	windres -i tclsh.rc -o tclshres.o
	gcc -o $(TCLSHP) *.o -L./ $(TCLPLUGINLIB)
	-rm *.o

$(CAT32):
	gcc -o $(CAT32) $(CFLAGS) cat.c -L$(TOOLS32)/lib

$(TCLTEST):
	gcc -c $(CFLAGS) $(TCLTESTSRCS)
	windres -i tcl.rc -o tclres.o
	gcc -o $(TCLTEST) *.o -L./ $(TCLLIB)
	-rm *.o
	
$(TCLPLUGINLIB):
	gcc -c $(CFLAGS) $(TCLSRCS)
	ar cr $(TCLPLUGINLIB) *.o
	ranlib $(TCLPLUGINLIB)
	-rm *.o

$(TCLLIB):
	gcc -c $(CFLAGS) $(TCLSRCS)
	windres -i tcl.rc -o tclres.o
	ar cr $(TCLLIB) *.o
	ranlib $(TCLLIB)
	-rm *.o

TCLSHSRCS = \
	./tclAppInit.c

TCLTESTSRCS = \
	../generic/tclTest.c \
	../generic/tclTestObj.c \
	../generic/tclThreadTest.c \
	../generic/tclWinTest.c \
	../generic/testMain.c

TCLSRCS = \
	../generic/compile.c \
	../generic/exec.c \
	../generic/panic.c \
	../compat/strftime.c \
	../generic/tclAlloc.c \
	../generic/tclAsync.c \
	../generic/tclBasic.c \
	../generic/tclBinary.c \
	../generic/tclCkalloc.c \
	../generic/tclClock.c \
	../generic/tclCmdAH.c \
	../generic/tclCmdIL.c \
	../generic/tclCmdMZ.c \
	../generic/tclCompCmds.c \
	../generic/tclCompExpr.c \
	../generic/tclCompile.c \
	../generic/tclDate.c \
	../generic/tclEncoding.c \
	../generic/tclEnv.c \
	../generic/tclEvent.c \
	../generic/tclExecute.c \
	../generic/tclFCmd.c \
	../generic/tclFileName.c \
	../generic/tclGet.c \
	../generic/tclHash.c \
	../generic/tclHistory.c \
	../generic/tclIndexObj.c \
	../generic/tclInterp.c \
	../generic/tclIO.c \
	../generic/tclIOCmd.c \
	../generic/tclIOSock.c \
	../generic/tclIOUtil.c \
	../generic/tclLink.c \
	../generic/tclLiteral.c \
	../generic/tclListObj.c \
	../generic/tclLoad.c \
	../generic/tclMain.c \
	../generic/tclNamesp.c \
	../generic/tclNotify.c \
	../generic/tclObj.c \
	../generic/tclParse.c \
	../generic/tclParseExpr.c \
	../generic/tclPipe.c \
	../generic/tclPkg.c \
	../generic/tclPosixStr.c \
	../generic/tclPreserve.c \
	../generic/tclProc.c \
	../generic/tclRegexp.c \
	../generic/tclResult.c \
	../generic/tclStringObj.c \
	../generic/tclThread.c \
	../generic/tclTimer.c \
	../generic/tclUtf.c \
	../generic/tclUtil.c \
	../generic/tclVar.c \
	tclWin32Dll.c \
	tclWinChan.c \
	tclWinError.c \
	tclWinFCmd.c \
	tclWinFile.c \
	tclWinInit.c \
	tclWinLoad.c \
	tclWinMtherr.c \
	tclWinNotify.c \
	tclWinPipe.c \
	tclWinSock.c \
	tclWinThrd.c \
	tclWinTime.c 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".